<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:51:43 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.languages.java.codegen.xtend (org.eclipse.papyrus.designer.languages.java.codegen 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.languages.java.codegen.xtend (org.eclipse.papyrus.designer.languages.java.codegen 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/utils/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.eclipse.papyrus.designer.languages.java.codegen.xtend</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaAttribute</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassAttributesDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassAttributesDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassifierGenerator</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassImportClassDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassImportDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassInheritedDeclarations</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassOperationsDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassOperationsDeclaration</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassTypeAndEnum</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaDocumentation</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaEnumerations</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaImportUtil</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaInnerClassifiers</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaParameter</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaTemplates.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaTemplates</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/codegen/utils/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
